﻿using HtmlToPdfTutorial;
using IronPdf.Editing;

// Render any HTML fragment or document to HTML
var renderer = new ChromePdfRenderer();

// Settings
renderer.RenderingOptions.PaperSize = IronPdf.Rendering.PdfPaperSize.A4;
renderer.RenderingOptions.PaperOrientation = IronPdf.Rendering.PdfPaperOrientation.Portrait;
renderer.RenderingOptions.TextHeader = new TextHeaderFooter() { 
    CenterText = "Iron PDf C# Html to PDF Example",
    FontSize = 10,
    Font = IronSoftware.Drawing.FontTypes.Arial,
};
renderer.RenderingOptions.HtmlFooter = new HtmlHeaderFooter() {
    HtmlFragment = "<div style='text-align:right'><em style='color:#333'>page {page} of {total-pages}</em></div>"
};

// Render the HTML as a PDF
var pdf = renderer.RenderHtmlAsPdf("<h1 style='padding-top:150px'>This PDF is generated from HTML using C#</h1>");

//  Editing the PDF by adding a watermark
pdf.ApplyWatermark("<span style='color:red; font-size:44px; font-family:Arial'>Sample</example>", 0, VerticalAlignment.Middle, HorizontalAlignment.Center);

//  Save the PDF to a file
var OutputPath = "IronPdfExample.pdf";
pdf.SaveAs(OutputPath);

// This neat trick opens our PDF file so we can see the result
System.Diagnostics.Process.Start(OutputPath);


// For detailed examples please check the "Code Examples" Folder or uncomment below
// Examples.HtmlToPdfExample();
// Examples.UrlToPdfExample();
// Examples.HtmlFileToPdfExample();
// Examples.PDFSettingsExample();
// Examples.JavaScriptChartsExample();